Subject: skipping tests that depend on the netork
Forwarded: not-needed
Author: Nicholas Bamber <nicholas@periapt.co.uk>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2021-03-15

--- a/t/tinyurl.t
+++ b/t/tinyurl.t
@@ -6,6 +6,9 @@
 
 BEGIN { $ENV{'WWW-SHORTEN-TESTING'} = 1; };
 
+SKIP: {
+    skip 'network testing turned off by default', 14 if $ENV{NO_NETWORK};
+
 my $url = 'https://metacpan.org/release/WWW-Shorten';
 my $prefix = 'https://tinyurl.com/';
 
@@ -50,4 +53,6 @@
 is($WWW::Shorten::TinyURL::_error_message, '', 'makealongerlink: no errors');
 is($longer, $url, 'makealongerlink: proper response');
 
+}
+
 done_testing();
